-- Copyright (c) Huawei Technologies Co., Ltd. 2025. All rights reserved.
--
-- this file licensed under the Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
-- IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
-- PURPOSE.
-- See the Mulan PSL v2 for more details.

local sys_info = {}
sys_info = setmetatable(sys_info, {
    __close = function()
    end
})

function sys_info.new()
    return sys_info
end

function sys_info:get_core_temp()
    return 50 -- 模拟驱动数据
end

function sys_info:get_reset_type()
    return 2 -- 模拟复位原因，软复位
end

function sys_info:close()
end

function sys_info:get_chip_name()
    return 5906
end

return sys_info